Class Index | File Index

## Classes

- _Association
- _global_
- Dataset
- ManyToMany
- ManyToOne
- MayToOne
- Migrations
- Model
- moose
- moose.adapters
- moose.adapters.client.Client
- moose.adapters.client.ConnectionPool
- moose.adapters.client.mysql.ConnectionPool
- moose.adapters.client.mysql.Query
- moose.adapters.client.mysql.TransactionQuery
- moose.adapters.mysql
- moose.adapters.mysql.types
- moose.plugins
- moose.plugins.AssociationPlugin
- moose.plugins.CachePlugin
- moose.plugins.QueryPlugin
- moose.plugins.TimeStampPlugin
- moose.Table
- OneToMany
- SQL
- Type

# Namespace moose.adapters.mysql.types

Defined in: index.js.

Namespace Summary
Constructor Attributes | Constructor Name and Description
--- | ---
| moose.adapters.mysql.types

Field Summary
Field Attributes | Field Name and Description
--- | ---
<static> | moose.adapters.mysql.types.NUMBER

Method Summary
Method Attributes | Method Name and Description
--- | ---
<static> | moose.adapters.mysql.types.BIGINT(options) Mysql BIGINT datatype
<static> | moose.adapters.mysql.types.BOOL(options) Mysql BOOL datatype
<static> | moose.adapters.mysql.types.BOOLEAN(options) Mysql BOOLEAN datatype
<static> | moose.adapters.mysql.types.CHAR(options) Mysql CHAR datatype
<static> | moose.adapters.mysql.types.DATE(options) Mysql DATE datatype
<static> | moose.adapters.mysql.types.DATETIME(options) Mysql DATETIME datatype
<static> | moose.adapters.mysql.types.DECIMAL(options) Mysql DECIMAL datatype
<static> | moose.adapters.mysql.types.DOUBLE(options) Mysql DOUBLE datatype
<static> | moose.adapters.mysql.types.ENUM(options) Mysql ENUM datatype
<static> | moose.adapters.mysql.types.FLOAT(options) Mysql FLOAT datatype
<static> | moose.adapters.mysql.types.INT(options) Mysql INT datatype
<static> | moose.adapters.mysql.types.LONGTEXT(options) Mysql LONGTEXT datatype
<static> | moose.adapters.mysql.types.MEDIUMINT(options) Mysql MEDIUMINT datatype
<static> | moose.adapters.mysql.types.MEDIUMTEXT(options) Mysql MEDIUMTEXT datatype
<static> | moose.adapters.mysql.types.SET(options) Mysql SET datatype
<static> | moose.adapters.mysql.types.SMALLINT(options) Mysql SMALLINT datatype
<static> | moose.adapters.mysql.types.STRING(options) String alias for varchar datatype.
<static> | moose.adapters.mysql.types.TEXT(options) Mysql TEXT datatype
<static> | moose.adapters.mysql.types.TIME(options) Mysql TIME datatype
<static> | moose.adapters.mysql.types.TIMESTAMP(options) Mysql TIMESTAMP datatype
<static> | moose.adapters.mysql.types.TINYINT(options) Mysql TINYINT datatype
<static> | moose.adapters.mysql.types.TINYTEXT(options) Mysql TINYTEXT datatype
<static> | moose.adapters.mysql.types.YEAR(options) Mysql YEAR datatype

Namespace Detail
moose.adapters.mysql.types
Field Detail
<static> moose.adapters.mysql.types.NUMBER
Defined in: number.js.

See:

Method Detail
<static> {Type} moose.adapters.mysql.types.BIGINT(options)
Mysql BIGINT datatype
Defined in: number.js.

Parameters:
{Object} options
  options for the BIGINT data type.
{Number} options.size Optional
  max size of the number
{Boolean} options.allowNull Optional, Default: true
  should the field allow null
{Boolean} options.default Optional, Default: null
  default value of the field
{Boolean} options.unsigned Optional, Default: false
  unsigned number
{Boolean} options.description Optional, Default: ""
  description fo the field.

Returns:
  {Type} A Type representing a BIGINT column.

<static> {Type} moose.adapters.mysql.types.BOOL(options)
Mysql BOOL datatype
Defined in: boolean.js.

Parameters:
{Object} options
  options for the BOOL data type.
{Boolean} options.allowNull Optional, Default: true
  should the field allow null
{Boolean} options.default Optional, Default: null
  default value of the field
{Boolean} options.unsigned Optional, Default: false
  unsigned number
{Boolean} options.description Optional, Default: ""
  description fo the field.

Returns:
  {Type} A Type representing a BOOL column.

<static> {Type} moose.adapters.mysql.types.BOOLEAN(options)
Mysql BOOLEAN datatype
Defined in: boolean.js.

Parameters:
{Object} options
  options for the BOOLEAN data type.
{Boolean} options.allowNull Optional, Default: true
  should the field allow null
{Boolean} options.default Optional, Default: null
  default value of the field
{Boolean} options.unsigned Optional, Default: false
  unsigned number
{Boolean} options.description Optional, Default: ""
  description fo the field.

Returns:
  {Type} A Type representing a BOOLEAN column.

<static> {Type} moose.adapters.mysql.types.CHAR(options)
Mysql CHAR datatype
Defined in: string.js.

Parameters:
{Object} options
  options for the CHAR data type.
{Number} options.length Optional, Default: 255
  the length of the field
{Boolean} options.allowNull Optional, Default: true
  should the field allow null
{Boolean} options.default Optional, Default: null
  default value of the field
{Boolean} options.description Optional, Default: ""
  description fo the field.

Returns:
  {Type} A Type representing a CHAR column.

<static> {Type} moose.adapters.mysql.types.DATE(options)
Mysql DATE datatype
Defined in: date.js.

Parameters:
{Object} options
  options for the DATE data type.
{Boolean} options.allowNull Optional, Default: true
  should the field allow null
{Boolean} options.default Optional, Default: null
  default value of the field
{Boolean} options.unsigned Optional, Default: false
  unsigned number
{Boolean} options.description Optional, Default: ""
  description fo the field.

Returns:
  {Type} A Type representing a DATE column.

<static> {Type} moose.adapters.mysql.types.DATETIME(options)
Mysql DATETIME datatype
Defined in: date.js.

Parameters:
{Object} options
  options for the DATETIME data type.
{Boolean} options.allowNull Optional, Default: true
  should the field allow null
{Boolean} options.default Optional, Default: null
  default value of the field
{Boolean} options.unsigned Optional, Default: false
  unsigned number
{Boolean} options.description Optional, Default: ""
  description fo the field.

Returns:
  {Type} A Type representing a DATETIME column.

<static> {Type} moose.adapters.mysql.types.DECIMAL(options)
Mysql DECIMAL datatype
Defined in: number.js.

Parameters:
{Object} options
  options for the DOUBLE data type.
{Number} options.size Optional
  max size of the number
{Number} options.digits Optional
  number of places right of the decimal
{Boolean} options.allowNull Optional, Default: true
  should the field allow null
{Boolean} options.default Optional, Default: null
  default value of the field
{Boolean} options.unsigned Optional, Default: false
  unsigned number
{Boolean} options.description Optional, Default: ""
  description fo the field.

Returns:
  {Type} A Type representing a DOUBLE column.

<static> {Type} moose.adapters.mysql.types.DOUBLE(options)
Mysql DOUBLE datatype
Defined in: number.js.

Parameters:
{Object} options
  options for the DOUBLE data type.
{Number} options.size Optional
  max size of the number
{Number} options.digits Optional
  number of places right of the decimal
{Boolean} options.allowNull Optional, Default: true
  should the field allow null
{Boolean} options.default Optional, Default: null
  default value of the field
{Boolean} options.unsigned Optional, Default: false
  unsigned number
{Boolean} options.description Optional, Default: ""
  description fo the field.

Returns:
  {Type} A Type representing a DOUBLE column.

<static> {Type} moose.adapters.mysql.types.ENUM(options)
Mysql ENUM datatype
Defined in: string.js.

Parameters:
{Object} options
  options for the TINYTEXT data type.
{Array} options.enums
  the characters allowed for this ENUM
{Number} options.length Optional
  the length of the field
{Boolean} options.allowNull Optional, Default: true
  should the field allow null
{Boolean} options.default Optional, Default: null
  default value of the field
{Boolean} options.description Optional, Default: ""
  description fo the field.

Returns:
  {Type} A Type representing a ENUM column.

<static> {Type} moose.adapters.mysql.types.FLOAT(options)
Mysql FLOAT datatype
Defined in: number.js.

Parameters:
{Object} options
  options for the FLOAT data type.
{Number} options.size Optional
  max size of the number
{Number} options.digits Optional
  number of places right of the decimal
{Boolean} options.allowNull Optional, Default: true
  should the field allow null
{Boolean} options.default Optional, Default: null
  default value of the field
{Boolean} options.unsigned Optional, Default: false
  unsigned number
{Boolean} options.description Optional, Default: ""
  description fo the field.

Returns:
  {Type} A Type representing a FLOAT column.

<static> {Type} moose.adapters.mysql.types.INT(options)
Mysql INT datatype
Defined in: number.js.

Parameters:
{Object} options
  options for the INT data type.
{Boolean} options.allowNull Optional, Default: true
  should the field allow null
{Number} options.size Optional
  max size of the number
{Boolean} options.default Optional, Default: null
  default value of the field
{Boolean} options.unsigned Optional, Default: false
  unsigned number
{Boolean} options.description Optional, Default: ""
  description fo the field.

Returns:
  {Type} A Type representing a INT column.

<static> {Type} moose.adapters.mysql.types.LONGTEXT(options)
Mysql LONGTEXT datatype
Defined in: string.js.

Parameters:
{Object} options
  options for the LONGTEXT data type.
{Number} options.length Optional
  the length of the field
{Boolean} options.allowNull Optional, Default: true
  should the field allow null
{Boolean} options.default Optional, Default: null
  default value of the field
{Boolean} options.description Optional, Default: ""
  description fo the field.

Returns:
  {Type} A Type representing a LONGTEXT column.

<static> {Type} moose.adapters.mysql.types.MEDIUMINT(options)
Mysql MEDIUMINT datatype
Defined in: number.js.

Parameters:
{Object} options
  options for the MEDIUMINT data type.
{Number} options.size Optional
  max size of the number
{Boolean} options.allowNull Optional, Default: true
  should the field allow null
{Boolean} options.default Optional, Default: null
  default value of the field
{Boolean} options.unsigned Optional, Default: false
  unsigned number
{Boolean} options.description Optional, Default: ""
  description fo the field.

Returns:
  {Type} A Type representing a MEDIUMINT column.

<static> {Type} moose.adapters.mysql.types.MEDIUMTEXT(options)
Mysql MEDIUMTEXT datatype
Defined in: string.js.

Parameters:
{Object} options
  options for the MEDIUMTEXT data type.
{Number} options.length Optional
  the length of the field
{Boolean} options.allowNull Optional, Default: true
  should the field allow null
{Boolean} options.default Optional, Default: null
  default value of the field
{Boolean} options.description Optional, Default: ""
  description fo the field.

Returns:
  {Type} A Type representing a MEDIUMTEXT column.

<static> {Type} moose.adapters.mysql.types.SET(options)
Mysql SET datatype
Defined in: string.js.

Parameters:
{Object} options
  options for the SET data type.
{Array} options.enums
  the characters allowed in this SET
{Number} options.length Optional
  the length of the field
{Boolean} options.allowNull Optional, Default: true
  should the field allow null
{Boolean} options.default Optional, Default: null
  default value of the field
{Boolean} options.description Optional, Default: ""
  description fo the field.

Returns:
  {Type} A Type representing a SET column.

<static> {Type} moose.adapters.mysql.types.SMALLINT(options)
Mysql SMALLINT datatype
Defined in: number.js.

Parameters:
{Object} options
  options for the SMALLINT data type.
{Number} options.size Optional
  max size of the number
{Boolean} options.allowNull Optional, Default: true
  should the field allow null
{Boolean} options.default Optional, Default: null
  default value of the field
{Boolean} options.unsigned Optional, Default: false
  unsigned number
{Boolean} options.description Optional, Default: ""
  description fo the field.

Returns:
  {Type} A Type representing a SMALLINT column.

<static> {Type} moose.adapters.mysql.types.STRING(options)
String alias for varchar datatype.
Defined in: string.js.

Parameters:
{Object} options
  options for the STRING data type.
{Number} options.length Optional, Default: 255
  the length of the field
{Boolean} options.allowNull Optional, Default: true
  should the field allow null
{Boolean} options.default Optional, Default: null
  default value of the field
{Boolean} options.description Optional, Default: ""
  description fo the field.

Returns:
  {Type} A Type representing a VARCHAR column.

<static> {Type} moose.adapters.mysql.types.TEXT(options)
Mysql TEXT datatype
Defined in: string.js.

Parameters:
{Object} options
  options for the TEXT data type.
{Number} options.length Optional
  the length of the field
{Boolean} options.allowNull Optional, Default: true
  should the field allow null
{Boolean} options.default Optional, Default: null
  default value of the field
{Boolean} options.description Optional, Default: ""
  description fo the field.

Returns:
  {Type} A Type representing a TEXT column.

<static> {Type} moose.adapters.mysql.types.TIME(options)
Mysql TIME datatype
Defined in: date.js.

Parameters:
{Object} options
  options for the TIME data type.
{Boolean} options.allowNull Optional, Default: true
  should the field allow null
{Boolean} options.default Optional, Default: null
  default value of the field
{Boolean} options.unsigned Optional, Default: false
  unsigned number
{Boolean} options.description Optional, Default: ""
  description fo the field.

Returns:
  {Type} A Type representing a TIME column.

<static> {Type} moose.adapters.mysql.types.TIMESTAMP(options)
Mysql TIMESTAMP datatype
Defined in: date.js.

Parameters:
{Object} options
  options for the TIMESTAMP data type.
{Boolean} options.allowNull Optional, Default: true
  should the field allow null
{Boolean} options.default Optional, Default: null
  default value of the field
{Boolean} options.unsigned Optional, Default: false
  unsigned number
{Boolean} options.description Optional, Default: ""
  description fo the field.

Returns:
  {Type} A Type representing a TIMESTAMP column.

<static> {Type} moose.adapters.mysql.types.TINYINT(options)
Mysql TINYINT datatype
Defined in: number.js.

Parameters:
{Object} options
  options for the TINYINT data type.
{Number} options.size Optional
  max size of the number
{Boolean} options.allowNull Optional, Default: true
  should the field allow null
{Boolean} options.default Optional, Default: null
  default value of the field
{Boolean} options.unsigned Optional, Default: false
  unsigned number
{Boolean} options.description Optional, Default: ""
  description fo the field.

Returns:
  {Type} A Type representing a TINYINT column.

<static> {Type} moose.adapters.mysql.types.TINYTEXT(options)
Mysql TINYTEXT datatype
Defined in: string.js.

Parameters:
{Object} options
  options for the TINYTEXT data type.
{Number} options.length Optional
  the length of the field
{Boolean} options.allowNull Optional, Default: true
  should the field allow null
{Boolean} options.default Optional, Default: null
  default value of the field
{Boolean} options.description Optional, Default: ""
  description fo the field.

Returns:
  {Type} A Type representing a TINYTEXT column.

<static> {Type} moose.adapters.mysql.types.YEAR(options)
Mysql YEAR datatype
Defined in: date.js.

Parameters:
{Object} options
  options for the YEAR data type.
{Boolean} options.allowNull Optional, Default: true
  should the field allow null
{Boolean} options.default Optional, Default: null
  default value of the field
{Boolean} options.unsigned Optional, Default: false
  unsigned number
{Boolean} options.description Optional, Default: ""
  description fo the field.

Returns:
  {Type} A Type representing a YEAR column.

Documentation generated by JsDoc Toolkit 2.4.0 on Sat Jun 11 2011 03:16:40 GMT-0500 (CDT)